-- Create a global variable to keep track of the current drive mode state
local driveModeState = "A.M OFF" -- default state

-- Function to update the glow map material color
local function updateGlowMapColor()
    local glowMapMaterial = object.getMaterial("AM_Lights") -- Retrieve the "AM_Lights" material

    if driveModeState == "A.M ON" then
        -- Set the glow color to magenta when A.M ON is active
        glowMapMaterial:setColor(8, 0, 8) -- RGB for magenta
    elseif driveModeState == "A.M OFF" then
        -- Set the glow color to cyan when A.M OFF is active
        glowMapMaterial:setColor(0, 8, 8) -- RGB for cyan
    end
end

-- Function to handle changes in the drive mode
local function setDriveMode(mode)
    driveModeState = mode
    updateGlowMapColor() -- Update the color when drive mode changes
end

-- Example of switching between A.M ON and A.M OFF
-- This is just for testing purposes, you would typically tie it to an event or trigger.
-- Uncomment the next line to test changing the mode:
-- setDriveMode("A.M ON") -- Switch to A.M ON
-- setDriveMode("A.M OFF") -- Switch to A.M OFF
